''#######################################################
''#
''# Script to Add C64 Gamevideoarchive videos
''# to the Gamebase64 Database
''#
''# Author:   Gamebase Team
''# Date:     October 2023
''# Version:  v19
''#
''#######################################################

strDBPath = ".\GBC_V19.mdb"

Const lName="C64 Game Video Archive"
Const lFolder="Videos\"
Const lFilter="Videos\C64GVA%"

Dim cTitle
Dim cn, rs, i, chk, strDBPath, fso

cTitle = "Gamebase64 " & lName & " Extras"

if WScript.Arguments.Count > 0 then
	strDBPath = WScript.Arguments.Item(0)
end if

Set fso = WScript.CreateObject("Scripting.FileSystemObject")
if not fso.FileExists(strDBPath) then
	strDBPath = InputBox("Please enter the location of the Gamebase64 database.",cTitle,strDBPath)
end if

if strDBPath = "" then
	msgbox lName & " extras additions aborted.",16,cTitle
	WScript.Quit
end if

if not fso.FileExists(strDBPath) then
	msgbox "Cannot find database file at " & strDBPath & vbcrlf & lName & " extras additions aborted.",16,cTitle
	WScript.Quit
end if
Set fso = Nothing

'' Open connection to the GameBase64 database
Set cn=WScript.CreateObject("ADODB.Connection")
cn.Open "DRIVER={Microsoft Access Driver (*.mdb, *.accdb)}; DBQ=" & strDBPath

'' Check to see if this script has already been run
'' by seeing if the extras have already been added
Set rs=WScript.CreateObject("ADODB.Recordset")
rs.Open "SELECT COUNT(*) FROM Extras WHERE Name='Video' AND Path LIKE '" & lFilter & "'", cn
chk = rs(0)
rs.Close

'' Insert new extras
if chk=0 then
	InsertExtra    16,"C64GVA302-1942.avi"
	InsertExtra    94,"C64GVA284-AceAirCombat.avi"
	InsertExtra   100,"C64GVA321-AceOfAces.avi"
	InsertExtra   111,"C64GVA203-ActionBiker.avi"
	InsertExtra   115,"C64GVA163-ActionOnProtection.avi"
	InsertExtra   176,"C64GVA164-AgentUSA.avi"
	InsertExtra   197,"C64GVA204-Airwolf.avi"
	InsertExtra   207,"C64GVA222-Alcazar.avi"
	InsertExtra   219,"C64GVA243-AliceInWonderland.avi"
	InsertExtra   220,"C64GVA086-Alien.avi"
	InsertExtra   243,"C64GVA270-Aliens.avi"
	InsertExtra   255,"C64GVA315-Alleykat.avi"
	InsertExtra   276,"C64GVA177-Amazon.avi"
	InsertExtra   280,"C64GVA051-AttackOfTheMutantCamels.avi"
	InsertExtra   321,"C64GVA092-AntAttack.avi"
	InsertExtra   340,"C64GVA139-AppleCiderSpider.avi"
	InsertExtra   378,"C64GVA200-06-Archon.avi"
	InsertExtra   378,"C64GVA012-Archon.avi"
	InsertExtra   380,"C64GVA080-Archon2.avi"
	InsertExtra   380,"C64GVA200-31-Archon2.avi"
	InsertExtra   384,"C64GVA068-ArcticShipwreck.avi"
	InsertExtra   432,"C64GVA035-ArtilleryDuel.avi"
	InsertExtra   458,"C64GVA144-AstroChase.avi"
	InsertExtra   518,"C64GVA200-27-AztecChallenge.avi"
	InsertExtra   518,"C64GVA026-AztecChallenge.avi"
	InsertExtra   559,"C64GVA188-BagitMan.avi"
	InsertExtra   573,"C64GVA252-BallBlazer.avi"
	InsertExtra   608,"C64GVA042-Bandits.avi"
	InsertExtra   608,"C64GVA200-36-Bandits.avi"
	InsertExtra   622,"C64GVA261-TheBardsTale.avi"
	InsertExtra   650,"C64GVA235-Batalyx.avi"
	InsertExtra   679,"C64GVA200-47-BattleThroughTime.avi"
	InsertExtra   679,"C64GVA131-BattleThroughTime.avi"
	InsertExtra   695,"C64GVA156-GrogsRevenge.avi"
	InsertExtra   695,"C64GVA200-42-GrogsRevenge.avi"
	InsertExtra   696,"C64GVA124-BcQuestForTires.avi"
	InsertExtra   702,"C64GVA200-15-BeachHead.avi"
	InsertExtra   702,"C64GVA021-BeachHead.avi"
	InsertExtra   703,"C64GVA238-BeachHead2.avi"
	InsertExtra   706,"C64GVA110-BeamRider.avi"
	InsertExtra   723,"C64GVA134-BelowTheRoot.avi"
	InsertExtra   723,"C64GVA200-30-BelowTheRoot.avi"
	InsertExtra   741,"C64GVA213-BeyondForbiddenForest.avi"
	InsertExtra 15478,"C64GVA145-BirdMother.avi"
	InsertExtra   812,"C64GVA248-Blackwyche.avi"
	InsertExtra   813,"C64GVA006-BladeOfBlackpoole.avi"
	InsertExtra   817,"C64GVA040-Blagger.avi"
	InsertExtra   893,"C64GVA200-28-BlueMax.avi"
	InsertExtra   893,"C64GVA036-BlueMax.avi"
	InsertExtra   907,"C64GVA308-BMX-Simulator.avi"
	InsertExtra   969,"C64GVA047-BoogaBoo.avi"
	InsertExtra   994,"C64GVA200-49-BoulderDash.avi"
	InsertExtra   994,"C64GVA093-BoulderDash.avi"
	InsertExtra   995,"C64GVA205-BoulderDash2.avi"
	InsertExtra   996,"C64GVA293-BoulderDash3.avi"
	InsertExtra  1052,"C64GVA294-Bounder.avi"
	InsertExtra  1054,"C64GVA224-BountyBobStrikesBack.avi"
	InsertExtra  1069,"C64GVA137-BozosNightOut.avi"
	InsertExtra  1135,"C64GVA091-BruceLee.avi"
	InsertExtra  1135,"C64GVA200-19-BruceLee.avi"
	InsertExtra  1150,"C64GVA031-BuckRogers.avi"
	InsertExtra  1198,"C64GVA125-BurgerTime.avi"
	InsertExtra  1200,"C64GVA028-BurninRubber.avi"
	InsertExtra  1263,"C64GVA291-Captured.avi"
	InsertExtra  1301,"C64GVA200-03-CastleWolfenstein.avi"
	InsertExtra  1301,"C64GVA065-CastleWolfenstein.avi"
	InsertExtra  1303,"C64GVA170-CastlesOfDrCreep.avi"
	InsertExtra  1303,"C64GVA200-14-CastlesOfDrCreep.avi"
	InsertExtra  1323,"C64GVA220-Cauldron.avi"
	InsertExtra  1324,"C64GVA276-Cauldron2.avi"
	InsertExtra  1337,"C64GVA136-Cavelon.avi"
	InsertExtra  1346,"C64GVA192-CavernsOfEriban.avi"
	InsertExtra  1348,"C64GVA098-CavernsOfKhafka.avi"
	InsertExtra  1396,"C64GVA326-ChampionshipWrestling.avi"
	InsertExtra  1459,"C64GVA007-Choplifter.avi"
	InsertExtra  1459,"C64GVA200-01-Choplifter.avi"
	InsertExtra  1474,"C64GVA123-ChuckieEgg.avi"
	InsertExtra  1519,"C64GVA101-Cliffhanger.avi"
	InsertExtra  1602,"C64GVA297-Commando.avi"
	InsertExtra  1630,"C64GVA147-Conan.avi"
	InsertExtra  1636,"C64GVA231-Confuzion.avi"
	InsertExtra  1638,"C64GVA219-CongoBongo.avi"
	InsertExtra  1704,"C64GVA082-CosmicTunnels.avi"
	InsertExtra  1754,"C64GVA295-CrazyComets.avi"
	InsertExtra  1805,"C64GVA275-CriticalMass.avi"
	InsertExtra  1882,"C64GVA169-CuthbertInTheTombs.avi"
	InsertExtra  1935,"C64GVA200-60-DamBusters.avi"
	InsertExtra  1944,"C64GVA268-DanDare.avi"
	InsertExtra  1959,"C64GVA305-DantesInferno.avi"
	InsertExtra  2007,"C64GVA013-DavidsMidnightMagic.avi"
	InsertExtra  2057,"C64GVA153-Decathlon.avi"
	InsertExtra  2057,"C64GVA200-51-Decathlon.avi"
	InsertExtra  8946,"C64GVA317-Deceptor.avi"
	InsertExtra  2079,"C64GVA014-Defender.avi"
	InsertExtra  2127,"C64GVA227-DesertFox.avi"
	InsertExtra  2140,"C64GVA277-TheDetectiveGame.avi"
	InsertExtra  2191,"C64GVA037-DigDug.avi"
	InsertExtra  2198,"C64GVA050-DinoEggs.avi"
	InsertExtra  2257,"C64GVA103-DonaldDucksPlayground.avi"
	InsertExtra  2257,"C64GVA200-58-DonaldDucksPlayground.avi"
	InsertExtra  2261,"C64GVA306-DonkeyKong.avi"
	InsertExtra  2260,"C64GVA041-DonkeyKong.avi"
	InsertExtra  2321,"C64GVA310-DragonsLair.avi"
	InsertExtra  2327,"C64GVA061-DragonsDen.avi"
	InsertExtra  2327,"C64GVA200-09-DragonsDen.avi"
	InsertExtra  2314,"C64GVA290-DragonSkulle.avi"
	InsertExtra  2349,"C64GVA200-18-Drelbs.avi"
	InsertExtra  2349,"C64GVA113-Drelbs.avi"
	InsertExtra  2360,"C64GVA029-Drol.avi"
	InsertExtra  2362,"C64GVA157-Dropzone.avi"
	InsertExtra  2362,"C64GVA200-40-Dropzone.avi"
	InsertExtra  2364,"C64GVA316-Druid.avi"
	InsertExtra  2419,"C64GVA226-DynamiteDan.avi"
	InsertExtra  2453,"C64GVA266-TheEidolon.avi"
	InsertExtra  2455,"C64GVA184-Eindeloos.avi"
	InsertExtra  2474,"C64GVA300-Elite.avi"
	InsertExtra  2505,"C64GVA200-38-Encounter.avi"
	InsertExtra  2505,"C64GVA168-Encounter.avi"
	InsertExtra  2528,"C64GVA217-Entombed.avi"
	InsertExtra  2535,"C64GVA304-Equinox.avi"
	InsertExtra  2650,"C64GVA161-Fahrenheit451.avi"
	InsertExtra  2651,"C64GVA260-Fairlight.avi"
	InsertExtra  2655,"C64GVA049-FalconPatrol.avi"
	InsertExtra  2716,"C64GVA202-FightNight.avi"
	InsertExtra  2748,"C64GVA039-Fireant.avi"
	InsertExtra  2767,"C64GVA167-Firequest.avi"
	InsertExtra  2782,"C64GVA283-Fist2.avi"
	InsertExtra  2816,"C64GVA132-FlipAndFlop.avi"
	InsertExtra  2864,"C64GVA056-ForbiddenForest.avi"
	InsertExtra  2864,"C64GVA200-10-ForbiddenForest.avi"
	InsertExtra  2877,"C64GVA008-FortApokalypse.avi"
	InsertExtra  2877,"C64GVA200-02-FortApokalypse.avi"
	InsertExtra  2905,"C64GVA267-FrankieGoesToHollywood.avi"
	InsertExtra  2909,"C64GVA200-26-FranticFreddie.avi"
	InsertExtra  2909,"C64GVA066-FranticFreddie.avi"
	InsertExtra  2943,"C64GVA181-FridayThe13th.avi"
	InsertExtra  2953,"C64GVA048-Frogger.avi"
	InsertExtra  2957,"C64GVA122-Frogger2.avi"
	InsertExtra  2985,"C64GVA307-Velocipede.avi"
	InsertExtra  2998,"C64GVA288-FutureKnight.avi"
	InsertExtra  3075,"C64GVA233-GatesOfDawn.avi"
	InsertExtra  3077,"C64GVA058-GatewaytoApshai.avi"
	InsertExtra  3123,"C64GVA158-GhostChaser.avi"
	InsertExtra  3133,"C64GVA102-Ghostbusters.avi"
	InsertExtra  3133,"C64GVA200-48-Ghostbusters.avi"
	InsertExtra  3142,"C64GVA116-Ghouls.avi"
	InsertExtra  3145,"C64GVA278-GIJoe.avi"
	InsertExtra  3225,"C64GVA221-TheGoonies.avi"
	InsertExtra  3228,"C64GVA022-Gorf.avi"
	InsertExtra  3269,"C64GVA280-GreatAmericanCCRoadRace.avi"
	InsertExtra  3286,"C64GVA191-Gremlins-TheAdventureGame.avi"
	InsertExtra  3291,"C64GVA257-GribblysDayOut.avi"
	InsertExtra  3297,"C64GVA023-Gridrunner.avi"
	InsertExtra  3311,"C64GVA027-GrudsInSpace.avi"
	InsertExtra  3336,"C64GVA146-Gumshoe.avi"
	InsertExtra  3365,"C64GVA209-Gyroscope.avi"
	InsertExtra  3370,"C64GVA089-Gyruss.avi"
	InsertExtra  3370,"C64GVA200-32-Gyruss.avi"
	InsertExtra  3416,"C64GVA043-HardHatMack.avi"
	InsertExtra  3498,"C64GVA106-HenrysHouse.avi"
	InsertExtra  3498,"C64GVA200-39-HenrysHouse.avi"
	InsertExtra  3500,"C64GVA236-HerbertsDummyRun.avi"
	InsertExtra  3500,"C64GVA186-HerbertsDummyRun.avi"
	InsertExtra  3508,"C64GVA129-Hero.avi"
	InsertExtra  3508,"C64GVA200-33-HERO.avi"
	InsertExtra  3543,"C64GVA087-HighNoon.avi"
	InsertExtra  3591,"C64GVA178-HungryHoraceGoSkiing.avi"
	InsertExtra  3615,"C64GVA166-HouseOfUsher.avi"
	InsertExtra  3621,"C64GVA072-HoverBovver.avi"
	InsertExtra  3629,"C64GVA262-TheHumanRace.avi"
	InsertExtra  3637,"C64GVA017-Hunchback.avi"
	InsertExtra  3666,"C64GVA298-HyperSports.avi"
	InsertExtra  3731,"C64GVA150-ImpossibleMission.avi"
	InsertExtra  3731,"C64GVA200-50-ImpossibleMission.avi"
	InsertExtra  3756,"C64GVA208-InfernalRunner.avi"
	InsertExtra  3760,"C64GVA318-Infiltrator.avi"
	InsertExtra  3803,"C64GVA020-InternationalSoccer.avi"
	InsertExtra  3803,"C64GVA200-08-InternationalSoccer.avi"
	InsertExtra  3811,"C64GVA174-InternationTennis.avi"
	InsertExtra  3869,"C64GVA015-JackAttack.avi"
	InsertExtra  3873,"C64GVA327-JackTheNipper.avi"
	InsertExtra  3893,"C64GVA025-Jammin.avi"
	InsertExtra  3904,"C64GVA259-JeepCommand.avi"
	InsertExtra  4000,"C64GVA024-Jumpman.avi"
	InsertExtra  4000,"C64GVA200-05-Jumpman.avi"
	InsertExtra  4002,"C64GVA200-54-JumpmanJunior.avi"
	InsertExtra  4002,"C64GVA052-JumpmanJunior.avi"
	InsertExtra  4005,"C64GVA064-JungleHunt.avi"
	InsertExtra  4014,"C64GVA001-JupiterLander.avi"
	InsertExtra  4038,"C64GVA241-Kane.avi"
	InsertExtra  4049,"C64GVA240-Karateka.avi"
	InsertExtra  4099,"C64GVA223-Kikstart.avi"
	InsertExtra  4114,"C64GVA084-Killerwatt.avi"
	InsertExtra  4182,"C64GVA254-KongStrikesBack.avi"
	InsertExtra  4214,"C64GVA207-KungFuMaster.avi"
	InsertExtra  4232,"C64GVA320-Labyrinth.avi"
	InsertExtra  4239,"C64GVA200-22-LadyTut.avi"
	InsertExtra  4239,"C64GVA075-LadyTut.avi"
	InsertExtra  4272,"C64GVA062-LaserZone.avi"
	InsertExtra  4293,"C64GVA244-TheLastV8.avi"
	InsertExtra  4302,"C64GVA242-LawOfTheWest.avi"
	InsertExtra  4304,"C64GVA054-Lazarian.avi"
	InsertExtra  4310,"C64GVA088-LazyJones.avi"
	InsertExtra  4310,"C64GVA200-34-LazyJones.avi"
	InsertExtra  4311,"C64GVA003-LeMans.avi"
	InsertExtra  4316,"C64GVA322-LeaderBoardGolf.avi"
	InsertExtra  4400,"C64GVA281-LittleComputerPeople.avi"
	InsertExtra  4416,"C64GVA149-Loco.avi"
	InsertExtra  4421,"C64GVA200-07-LodeRunner.avi"
	InsertExtra  4421,"C64GVA057-LodeRunner.avi"
	InsertExtra  4454,"C64GVA175-LordsOfMidnight.avi"
	InsertExtra  4480,"C64GVA005-LunarLeeper.avi"
	InsertExtra  4498,"C64GVA237-MadDoctor.avi"
	InsertExtra  4558,"C64GVA251-MailOrderMonsters.avi"
	InsertExtra  4558,"C64GVA185-MailOrderMonsters.avi"
	InsertExtra  4571,"C64GVA141-Mancopter.avi"
	InsertExtra  4580,"C64GVA030-ManicMiner.avi"
	InsertExtra  4589,"C64GVA292-MarbleMadness.avi"
	InsertExtra  4596,"C64GVA159-MarioBros.avi"
	InsertExtra  4622,"C64GVA247-MasterOfMagic.avi"
	InsertExtra  4623,"C64GVA228-MasterOfTheLamps.avi"
	InsertExtra  4740,"C64GVA256-Mercenary.avi"
	InsertExtra  4746,"C64GVA289-MermaidMadness.avi"
	InsertExtra  4860,"C64GVA034-Miner2049er.avi"
	InsertExtra  4893,"C64GVA063-MissileCommand.avi"
	InsertExtra  4901,"C64GVA274-MissionElevator.avi"
	InsertExtra  4964,"C64GVA200-23-MontezumasRevenge.avi"
	InsertExtra  4964,"C64GVA120-MontezumasRevenge.avi"
	InsertExtra  4966,"C64GVA100-MontyMole.avi"
	InsertExtra  4966,"C64GVA200-25-MontyMole.avi"
	InsertExtra  4967,"C64GVA250-MontyOnTheRun.avi"
	InsertExtra  4978,"C64GVA172-MoonDust.avi"
	InsertExtra  4980,"C64GVA033-MoonPatrol.avi"
	InsertExtra  4983,"C64GVA173-MoonShuttle.avi"
	InsertExtra  5040,"C64GVA286-MovieMonsterGame.avi"
	InsertExtra  5047,"C64GVA143-Mrdig.avi"
	InsertExtra  5048,"C64GVA171-MrDo.avi"
	InsertExtra  5049,"C64GVA121-MrDosCastle.avi"
	InsertExtra  5055,"C64GVA138-MrMephisto.avi"
	InsertExtra  5056,"C64GVA200-56-MrRobot.avi"
	InsertExtra  5056,"C64GVA083-MrRobot.avi"
	InsertExtra  5069,"C64GVA077-MsPac-Man.avi"
	InsertExtra  5076,"C64GVA200-12-MULE.avi"
	InsertExtra  5076,"C64GVA079-MULE.avi"
	InsertExtra  5093,"C64GVA325-MurderOnTheMississippi.avi"
	InsertExtra  5104,"C64GVA115-MutantMonty.avi"
	InsertExtra  5163,"C64GVA081-Necromancer.avi"
	InsertExtra  5176,"C64GVA059-NeptunsDaughter.avi"
	InsertExtra  5198,"C64GVA282-Nexus.avi"
	InsertExtra  5203,"C64GVA010-Nibly.avi"
	InsertExtra  5212,"C64GVA004-NightMissionPinball.avi"
	InsertExtra  5231,"C64GVA311-Ninja.avi"
	InsertExtra  5362,"C64GVA038-OilsWell.avi"
	InsertExtra  5403,"C64GVA272-OneManAndHisDroid.avi"
	InsertExtra  5405,"C64GVA128-OneOnOne.avi"
	InsertExtra  5328,"C64GVA071-ORileysMine.avi"
	InsertExtra  5511,"C64GVA009-Pac-Man.avi"
	InsertExtra  5553,"C64GVA230-Paradroid.avi"
	InsertExtra  5569,"C64GVA099-ParkPatrol.avi"
	InsertExtra  5569,"C64GVA200-57-ParkPatrol.avi"
	InsertExtra  5582,"C64GVA151-Pastfinder.avi"
	InsertExtra  5610,"C64GVA076-Pegasis.avi"
	InsertExtra  5619,"C64GVA032-Pengo.avi"
	InsertExtra  5665,"C64GVA200-16-PharaohsCurse.avi"
	InsertExtra  5665,"C64GVA019-PharaohsCurse.avi"
	InsertExtra  5719,"C64GVA199-Piracy.avi"
	InsertExtra  5733,"C64GVA200-44-Pitfall2.avi"
	InsertExtra  5733,"C64GVA160-Pitfall2.avi"
	InsertExtra  5734,"C64GVA070-Pitstop.avi"
	InsertExtra  5735,"C64GVA187-Pitstop2.avi"
	InsertExtra  5735,"C64GVA200-41-Pitstop2.avi"
	InsertExtra  5786,"C64GVA045-PogoJoe.avi"
	InsertExtra  5803,"C64GVA104-PolePosition.avi"
	InsertExtra  5827,"C64GVA142-Pooyan.avi"
	InsertExtra  5829,"C64GVA118-Popeye.avi"
	InsertExtra  6043,"C64GVA165-Pyjamarama.avi"
	InsertExtra  6161,"C64GVA002-RadarRatRace.avi"
	InsertExtra  6172,"C64GVA263-RagingBeast.avi"
	InsertExtra  6175,"C64GVA200-35-RaidOnBungelinBay.avi"
	InsertExtra  6175,"C64GVA107-RaidOnBungelinBay.avi"
	InsertExtra  6176,"C64GVA114-RaidOverMoscow.avi"
	InsertExtra  6176,"C64GVA200-43-RaidOverMoscow.avi"
	InsertExtra  3957,"C64GVA200-52-RallySpeedway.avi"
	InsertExtra  3957,"C64GVA162-RallySpeedway.avi"
	InsertExtra  6198,"C64GVA319-Rambo.avi"
	InsertExtra  6217,"C64GVA249-Rasputin.avi"
	InsertExtra  6249,"C64GVA200-53-RealmOfImpossibility.avi"
	InsertExtra  6249,"C64GVA096-RealmsOfImpossibility.avi"
	InsertExtra  6312,"C64GVA279-RescueOnFractalus.avi"
	InsertExtra  6331,"C64GVA085-RevengeOfTheMutantCamels.avi"
	InsertExtra  6331,"C64GVA200-17-RevengeOfTheMutantCamels.avi"
	InsertExtra  6379,"C64GVA200-21-RiverRaid.avi"
	InsertExtra  6379,"C64GVA112-RiverRaid.avi"
	InsertExtra  6409,"C64GVA201-RobinOfTheWood.avi"
	InsertExtra  6433,"C64GVA246-RockNBolt.avi"
	InsertExtra  6441,"C64GVA271-RocketBall.avi"
	InsertExtra  6446,"C64GVA225-RockyHorrorShow.avi"
	InsertExtra  6532,"C64GVA258-Saboteur.avi"
	InsertExtra  6551,"C64GVA069-SammyLightfoot.avi"
	InsertExtra  6565,"C64GVA314-Sanxion.avi"
	InsertExtra  6576,"C64GVA196-SatansHollow.avi"
	InsertExtra  6585,"C64GVA078-SaveNewYork.avi"
	InsertExtra  6591,"C64GVA210-Scarabaeus.avi"
	InsertExtra  6760,"C64GVA133-SheepInSpace.avi"
	InsertExtra  6811,"C64GVA285-SilentService.avi"
	InsertExtra  6854,"C64GVA313-SkateRock.avi"
	InsertExtra  6871,"C64GVA179-SkoolDaze.avi"
	InsertExtra  6873,"C64GVA200-12-Skramble.avi"
	InsertExtra  6873,"C64GVA018-Skramble.avi"
	InsertExtra  6892,"C64GVA212-Skyfox.avi"
	InsertExtra  6903,"C64GVA197-Slamball.avi"
	InsertExtra  6974,"C64GVA060-Snokie.avi"
	InsertExtra  6978,"C64GVA111-Snoopy.avi"
	InsertExtra  7008,"C64GVA264-SoldierOne.avi"
	InsertExtra  7023,"C64GVA046-SonOfBlagger.avi"
	InsertExtra  7034,"C64GVA154-Sorcery.avi"
	InsertExtra  7107,"C64GVA200-11-SpaceTaxi.avi"
	InsertExtra  7107,"C64GVA108-SpaceTaxi.avi"
	InsertExtra  7113,"C64GVA074-SpaceTrap.avi"
	InsertExtra  7190,"C64GVA200-29-Spelunker.avi"
	InsertExtra  7190,"C64GVA094-Spelunker.avi"
	InsertExtra  7214,"C64GVA255-Spindizzy.avi"
	InsertExtra  7220,"C64GVA211-SpiritOfTheStones.avi"
	InsertExtra  7231,"C64GVA265-SplitPersonalities.avi"
	InsertExtra  7263,"C64GVA200-24-SpyHunter.avi"
	InsertExtra  7263,"C64GVA067-SpyHunter.avi"
	InsertExtra  7268,"C64GVA105-SpyVsSpy.avi"
	InsertExtra  7268,"C64GVA200-46-SpyVsSpy.avi"
	InsertExtra  7269,"C64GVA296-SpyVsSpy2.avi"
	InsertExtra  7270,"C64GVA323-SpyVsSpy3.avi"
	InsertExtra  7286,"C64GVA053-SquishEm.avi"
	InsertExtra  7297,"C64GVA193-StaffOfkarnath.avi"
	InsertExtra  7297,"C64GVA200-55-StaffOfKarnath.avi"
	InsertExtra  7385,"C64GVA130-Starquake.avi"
	InsertExtra  7398,"C64GVA200-59-Stealth.avi"
	InsertExtra  7432,"C64GVA073-Stix.avi"
	InsertExtra  7449,"C64GVA117-StopTheExpress.avi"
	InsertExtra  7496,"C64GVA109-StripPoker.avi"
	InsertExtra  7538,"C64GVA180-SuicideExpress.avi"
	InsertExtra  7538,"C64GVA234-SuicideExpress.avi"
	InsertExtra  7545,"C64GVA232-SummerGames.avi"
	InsertExtra  7600,"C64GVA200-20-SuperPipeline.avi"
	InsertExtra  7600,"C64GVA055-SuperPipeline.avi"
	InsertExtra  7601,"C64GVA245-SuperPipeline2.avi"
	InsertExtra  7601,"C64GVA176-SuperPipeline2.avi"
	InsertExtra  7629,"C64GVA155-SuperZaxxon.avi"
	InsertExtra  7679,"C64GVA016-Survivor.avi"
	InsertExtra  7702,"C64GVA044-SwordOfFargoal.avi"
	InsertExtra  7735,"C64GVA097-TalesOfTheArabianNights.avi"
	InsertExtra  7764,"C64GVA090-Tapper.avi"
	InsertExtra  7764,"C64GVA200-37-Tapper.avi"
	InsertExtra  7778,"C64GVA218-Taskmaster.avi"
	InsertExtra  7836,"C64GVA287-TerraCognita.avi"
	InsertExtra  7837,"C64GVA301-TerraCresta.avi"
	InsertExtra  7869,"C64GVA183-TheatreEurope.avi"
	InsertExtra  7877,"C64GVA216-ThingOnASpring.avi"
	InsertExtra  7897,"C64GVA273-Thrust.avi"
	InsertExtra  7969,"C64GVA214-TimeTunnel.avi"
	InsertExtra  8063,"C64GVA190-ToyBizarre.avi"
	InsertExtra 13114,"C64GVA095-TrackAndField.avi"
	InsertExtra 13114,"C64GVA200-45-TrackAndField.avi"
	InsertExtra  8094,"C64GVA229-Transformers.avi"
	InsertExtra  8106,"C64GVA269-TrapDoor.avi"
	InsertExtra  8119,"C64GVA195-TreasureIsland.avi"
	InsertExtra  8172,"C64GVA140-TrollsAndTribulations.avi"
	InsertExtra  8314,"C64GVA152-Underwurlde.avi"
	InsertExtra  8325,"C64GVA148-Upndown.avi"
	InsertExtra  8331,"C64GVA312-Uridium.avi"
	InsertExtra  8340,"C64GVA324-V-TheGame.avi"
	InsertExtra  8367,"C64GVA307-Velocipede.avi"
	InsertExtra  8368,"C64GVA307-Velocipede.avi"
	InsertExtra  8482,"C64GVA303-WarPlay.avi"
	InsertExtra  8490,"C64GVA309-Warhawk.avi"
	InsertExtra  8510,"C64GVA126-WarriorsOfZypar.avi"
	InsertExtra  8524,"C64GVA182-WavyNavy.avi"
	InsertExtra  8526,"C64GVA239-WayOfTheExplodingFist.avi"
	InsertExtra  8573,"C64GVA127-WheresMyBones.avi"
	InsertExtra  8585,"C64GVA189-WhoDaresWins.avi"
	InsertExtra  8587,"C64GVA206-WhoDaresWins2.avi"
	InsertExtra  8620,"C64GVA299-WinterGames.avi"
	InsertExtra  8641,"C64GVA198-Wizard.avi"
	InsertExtra  8650,"C64GVA011-WizardOfWor.avi"
	InsertExtra  8650,"C64GVA200-04-WizardOfWor.avi"
	InsertExtra  8661,"C64GVA253-Wizardry.avi"
	InsertExtra  8821,"C64GVA215-YieArKungFu.avi"
	InsertExtra  8855,"C64GVA200-13-Zaxxon.avi"
	InsertExtra  8855,"C64GVA119-Zaxxon.avi"
	InsertExtra  8860,"C64GVA135-Zenji.avi"
	InsertExtra  8918,"C64GVA194-Zorro.avi"
end if
cn.Close
Set cn=Nothing

Sub 	InsertExtra(GA_Id, Path1)
	rs.Open "SELECT MAX(DisplayOrder) FROM Extras WHERE GA_Id=" & GA_Id, cn
	i = rs(0)
	if i & "" = "" then i=-1	
	rs.Close
	cn.Execute "INSERT INTO Extras (GA_Id,DisplayOrder,Type,Name,Path,EA,Data) VALUES(" & GA_Id & "," & (i+1) & ",0,'Video','" & Replace(lFolder & Path1,"'","''") & " ',0,'')"
	cn.Execute "UPDATE Games SET Extras=1 WHERE GA_Id=" & GA_Id
End Sub

if chk<>0 then
	msgbox lName & " extras are already in the Gamebase64 database.",48,cTitle
end if
