''#######################################################
''#
''# Script to Add C64 Longplay videos
''# to the Gamebase64 Database
''#
''# Author:   Gamebase Team
''# Date:     October 2023
''# Version:  v19
''#
''#######################################################

strDBPath = ".\GBC_V19.mdb"

Const lName="Longplay"
Const lFolder="Longplays\"
Const lFilter="Longplays\C64-Longplay[0-9]%"

Dim cTitle
Dim cn, rs, i, chk, strDBPath, fso

cTitle = "Gamebase64 " & lName & " Extras"

if WScript.Arguments.Count > 0 then
	strDBPath = WScript.Arguments.Item(0)
end if

Set fso = WScript.CreateObject("Scripting.FileSystemObject")
if not fso.FileExists(strDBPath) then
	strDBPath = InputBox("Please enter the location of the Gamebase64 database.",cTitle,strDBPath)
end if

if strDBPath = "" then
	msgbox lName & " extras additions aborted.",16,cTitle
	WScript.Quit
end if

if not fso.FileExists(strDBPath) then
	msgbox "Cannot find database file at " & strDBPath & vbcrlf & lName & " extras additions aborted.",16,cTitle
	WScript.Quit
end if
Set fso = Nothing

'' Open connection to the GameBase64 database
Set cn=WScript.CreateObject("ADODB.Connection")
cn.Open "DRIVER={Microsoft Access Driver (*.mdb, *.accdb)}; DBQ=" & strDBPath

'' Check to see if this script has already been run
'' by seeing if the extras have already been added
Set rs=WScript.CreateObject("ADODB.Recordset")
rs.Open "SELECT COUNT(*) FROM Extras WHERE Name='Video' AND Path LIKE '" & lFilter & "'", cn
chk = rs(0)
rs.Close

'' Insert new extras
if chk=0 then
	InsertExtra   111,"C64-Longplay055-ActionBiker.avi"
	InsertExtra   113,"C64-Longplay299-ActionFighter.avi"
	InsertExtra   165,"C64-Longplay135-AfterTheWar.avi"
	InsertExtra   221,"C64-Longplay254-Alien_CP.avi"
	InsertExtra 16253,"C64-Longplay127-Antiriad.avi"
	InsertExtra   340,"C64-Longplay137-AppleCiderSpider.avi"
	InsertExtra   378,"C64-Longplay095-Archon.avi"
	InsertExtra   411,"C64-Longplay300-Armalyte.avi"
	InsertExtra   417,"C64-Longplay219-ArmyMoves.avi"
	InsertExtra   427,"C64-Longplay270-Artax.avi"
	InsertExtra   503,"C64-Longplay256-Automania.avi"
	InsertExtra   516,"C64-Longplay168-AxisAssassin.avi"
	InsertExtra   518,"C64-Longplay034-AztecChallenge.avi"
	InsertExtra   520,"C64-Longplay157-AztecTombRevisited.avi"
	InsertExtra   541,"C64-Longplay075-BackToTheFuture.avi"
	InsertExtra   617,"C64-Longplay046-Barbarian.avi"
	InsertExtra   652,"C64-Longplay181-BatmanCapedCrusader.avi"
	InsertExtra   653,"C64-Longplay194-Batman-TheMovie.avi"
	InsertExtra   696,"C64-Longplay022-QuestForTires.avi"
	InsertExtra   741,"C64-Longplay138-BeyondForbiddenForest.avi"
	InsertExtra   770,"C64-Longplay014-BionicCommando.avi"
	InsertExtra   803,"C64-Longplay241-BlackTiger.avi"
	InsertExtra   812,"C64-Longplay111-Blackwyche.avi"
	InsertExtra   874,"C64-Longplay265-BloodMoney.avi"
	InsertExtra   893,"C64-Longplay114-BlueMax.avi"
	InsertExtra   893,"C64-Longplay197-BlueMax.avi"
	InsertExtra   898,"C64-Longplay284-BluesBrothers.avi"
	InsertExtra   969,"C64-Longplay097-BoogaBoo.avi"
	InsertExtra   994,"C64-Longplay068-BoulderDash.avi"
	InsertExtra   995,"C64-Longplay076-BoulderDash2.avi"
	InsertExtra  1106,"C64-Longplay104-Breakthru.avi"
	InsertExtra  1106,"C64-Longplay216-Breakthru.avi"
	InsertExtra  1116,"C64-Longplay229-BrideOfFrankenstein.avi"
	InsertExtra  1135,"C64-Longplay010-BruceLee.avi"
	InsertExtra  1138,"C64-Longplay180-BubbleBobble.avi"
	InsertExtra  1138,"C64-Longplay007-BubbleBobble.avi"
	InsertExtra  1138,"C64-Longplay100-BubbleBobble.avi"
	InsertExtra  1234,"C64-Longplay086-CamelotWarrior.avi"
	InsertExtra  1304,"C64-Longplay192-Castlevania.avi"
	InsertExtra  1308,"C64-Longplay287-Cataball.avi"
	InsertExtra  1316,"C64-Longplay243-CatchAThief.avi"
	InsertExtra  1323,"C64-Longplay080-Cauldron.avi"
	InsertExtra  1324,"C64-Longplay085-Cauldron2.avi"
	InsertExtra  1342,"C64-Longplay297-Cavemania.avi"
	InsertExtra  1378,"C64-Longplay291-ChambersOfShaolin.avi"
	InsertExtra  1459,"C64-Longplay169-Choplifter.avi"
	InsertExtra  1514,"C64-Longplay059-CleanUpService.avi"
	InsertExtra  1602,"C64-Longplay045-Commando.avi"
	InsertExtra  1615,"C64-Longplay271-Compunet.avi"
	InsertExtra  1679,"C64-Longplay249-CopsNRobbers.avi"
	InsertExtra  1705,"C64-Longplay108-Cosmonut.avi"
	InsertExtra  1786,"C64-Longplay071-Creatures.avi"
	InsertExtra  1787,"C64-Longplay029-Creatures2.avi"
	InsertExtra  1839,"C64-Longplay136-Crush.avi"
	InsertExtra  1874,"C64-Longplay171-CurseOfSherwood.avi"
	InsertExtra  1874,"C64-Longplay035-TheCurseOfSherwood.avi"
	InsertExtra  1895,"C64-Longplay037-Cybernoid.avi"
	InsertExtra  1896,"C64-Longplay083-Cybernoid2.avi"
	InsertExtra  1959,"C64-Longplay033-DantesInferno.avi"
	InsertExtra  1986,"C64-Longplay285-Darkman.avi"
	InsertExtra  2082,"C64-Longplay049-DefenderOfTheCrown.avi"
	InsertExtra  2082,"C64-Longplay215-DefenderOfTheCrown.avi"
	InsertExtra  2092,"C64-Longplay220-Delta.avi"
	InsertExtra  2260,"C64-Longplay031-DonkeyKong.avi"
	InsertExtra  2278,"C64-Longplay289-DoubleDragon2.avi"
	InsertExtra  2310,"C64-Longplay288-DragonBreed.avi"
	InsertExtra  2321,"C64-Longplay004-DragonsLair.avi"
	InsertExtra  2322,"C64-Longplay017-DragonsLair2.avi"
	InsertExtra  2314,"C64-Longplay112-DragonSkulle.avi"
	InsertExtra  2349,"C64-Longplay117-Drelbs.avi"
	InsertExtra  2470,"C64-Longplay221-ElevatorAction.avi"
	InsertExtra  2472,"C64-Longplay062-Eliminator.avi"
	InsertExtra  2482,"C64-Longplay240-Elvin.avi"
	InsertExtra  2507,"C64-Longplay042-EnduroRacer.avi"
	InsertExtra  2512,"C64-Longplay231-Enforcer.avi"
	InsertExtra  2521,"C64-Longplay146-EnigmaForce.avi"
	InsertExtra  9729,"C64-Longplay276-EscapeFromNewYork.avi"
	InsertExtra  2596,"C64-Longplay257-EveryonesAWally.avi"
	InsertExtra  2619,"C64-Longplay132-ExpressRaider.avi"
	InsertExtra  2748,"C64-Longplay121-FireAnt.avi"
	InsertExtra  2767,"C64-Longplay152-Firequest.avi"
	InsertExtra  2782,"C64-Longplay099-Fist2.avi"
	InsertExtra  2782,"C64-Longplay156-Fist2.avi"
	InsertExtra  2794,"C64-Longplay078-Flaschbier.avi"
	InsertExtra  9029,"C64-Longplay262-Flunky.avi"
	InsertExtra  2844,"C64-Longplay020-FlyingShark.avi"
	InsertExtra  2864,"C64-Longplay013-ForbiddenForest.avi"
	InsertExtra  2877,"C64-Longplay066-FortApokalypse.avi"
	InsertExtra 16274,"C64-Longplay131-FreddyHardest.avi"
	InsertExtra  3020,"C64-Longplay175-Galaga82.avi"
	InsertExtra  3068,"C64-Longplay143-Garfield.avi"
	InsertExtra  3097,"C64-Longplay268-GeminiWing.avi"
	InsertExtra  3123,"C64-Longplay144-Ghostchaser.avi"
	InsertExtra  3128,"C64-Longplay281-GhostManor.avi"
	InsertExtra  3133,"C64-Longplay036-Ghostbusters.avi"
	InsertExtra  3136,"C64-Longplay009-GhostsNGoblins.avi"
	InsertExtra  3142,"C64-Longplay218-Ghouls.avi"
	InsertExtra  3144,"C64-Longplay016-GhoulsNGhosts.avi"
	InsertExtra  3225,"C64-Longplay103-TheGoonies.avi"
	InsertExtra  3228,"C64-Longplay021-Gorf.avi"
	InsertExtra  3275,"C64-Longplay011-GreatGianaSisters.avi"
	InsertExtra  3281,"C64-Longplay128-GreenBeret.avi"
	InsertExtra  3281,"C64-Longplay185-GreenBeret.avi"
	InsertExtra  3316,"C64-Longplay005-Gryzor.avi"
	InsertExtra  3365,"C64-Longplay115-Gyroscope.avi"
	InsertExtra  3376,"C64-Longplay116-HadesNebula.avi"
	InsertExtra  3387,"C64-Longplay134-Jailbreak.avi"
	InsertExtra  3446,"C64-Longplay093-Hawkeye.avi"
	InsertExtra  3450,"C64-Longplay278-HeMan.avi"
	InsertExtra  3505,"C64-Longplay282-Hercules.avi"
	InsertExtra  3508,"C64-Longplay178-HERO.avi"
	InsertExtra  3508,"C64-Longplay065-HERO.avi"
	InsertExtra  3597,"C64-Longplay159-Hostages.avi"
	InsertExtra  3640,"C64-Longplay210-Hunchback2.avi"
	InsertExtra  3643,"C64-Longplay205-HungryHorace.avi"
	InsertExtra  3656,"C64-Longplay232-HypaBall.avi"
	InsertExtra  3666,"C64-Longplay133-HyperSports.avi"
	InsertExtra  3731,"C64-Longplay141-ImpossibleMission.avi"
	InsertExtra  3731,"C64-Longplay038-ImpossibleMission.avi"
	InsertExtra  3732,"C64-Longplay090-ImpossibleMission2.avi"
	InsertExtra  3746,"C64-Longplay195-LastCrusade.avi"
	InsertExtra  3748,"C64-Longplay154-TempleOfDoom.avi"
	InsertExtra  3756,"C64-Longplay147-InfernalRunner.avi"
	InsertExtra  3756,"C64-Longplay106-InfernalRunner.avi"
	InsertExtra  3768,"C64-Longplay279-Inheritance2.avi"
	InsertExtra  3780,"C64-Longplay222-InsideOutside.avi"
	InsertExtra  3803,"C64-Longplay151-IntSoccer.avi"
	InsertExtra  3833,"C64-Longplay190-IntoOblivion.avi"
	InsertExtra  3833,"C64-Longplay064-IntoOblivion.avi"
	InsertExtra  3838,"C64-Longplay277-IronHorse.avi"
	InsertExtra  3853,"C64-Longplay155-ItsAKnockout.avi"
	InsertExtra  3868,"C64-Longplay261-JackAndTheBeanstalk.avi"
	InsertExtra  3904,"C64-Longplay153-JeepCommand.avi"
	InsertExtra  4005,"C64-Longplay053-JungleHunt.avi"
	InsertExtra  4049,"C64-Longplay110-Karateka.avi"
	InsertExtra  4058,"C64-Longplay039-Katakis.avi"
	InsertExtra  4083,"C64-Longplay255-KeyFinder.avi"
	InsertExtra  4093,"C64-Longplay174-Kickman.avi"
	InsertExtra  4160,"C64-Longplay193-Knightmare.avi"
	InsertExtra  4191,"C64-Longplay077-Krakout.avi"
	InsertExtra  4214,"C64-Longplay043-KungFuMaster.avi"
	InsertExtra  4232,"C64-Longplay130-Labyrinth.avi"
	InsertExtra  4267,"C64-Longplay233-LaserSquad.avi"
	InsertExtra  4282,"C64-Longplay172-LastGladiator.avi"
	InsertExtra  4284,"C64-Longplay002-TheLastNinja.avi"
	InsertExtra  4285,"C64-Longplay008-TheLastNinja2.avi"
	InsertExtra  4286,"C64-Longplay023-LastNinja3.avi"
	InsertExtra  4293,"C64-Longplay167-TheLastV8.avi"
	InsertExtra  4302,"C64-Longplay148-LawOfTheWest.avi"
	InsertExtra  4304,"C64-Longplay026-Lazarian.avi"
	InsertExtra  4335,"C64-Longplay161-LegendOfSinbad.avi"
	InsertExtra  4411,"C64-Longplay267-LivingDaylights.avi"
	InsertExtra  4414,"C64-Longplay223-Livingstone.avi"
	InsertExtra  4421,"C64-Longplay202-LodeRunner.avi"
	InsertExtra  4421,"C64-Longplay124-LodeRunner.avi"
	InsertExtra  4576,"C64-Longplay030-ManiacMansion.avi"
	InsertExtra  4622,"C64-Longplay069-MasterOfMagic.avi"
	InsertExtra  4623,"C64-Longplay173-MasterOfTheLamps.avi"
	InsertExtra  4631,"C64-Longplay237-HeMan-Terraquake.avi"
	InsertExtra  4656,"C64-Longplay238-MatterhornScreamers.avi"
	InsertExtra  4707,"C64-Longplay224-MegaPhoenix.avi"
	InsertExtra  4734,"C64-Longplay264-Menace.avi"
	InsertExtra  4779,"C64-Longplay242-MickeyMouse.avi"
	InsertExtra 14717,"C64-Longplay200-MidnightResistance.avi"
	InsertExtra 14717,"C64-Longplay067-MidnightResistance.avi"
	InsertExtra  4823,"C64-Longplay051-Mikie.avi"
	InsertExtra  4860,"C64-Longplay113-Miner2049.avi"
	InsertExtra  4913,"C64-Longplay274-MissionTransmitter.avi"
	InsertExtra  4967,"C64-Longplay001-MontyOnTheRun.avi"
	InsertExtra  5031,"C64-Longplay123-MoonShuttle.avi"
	InsertExtra  5031,"C64-Longplay082-MouseTrap.avi"
	InsertExtra  5047,"C64-Longplay199-MrDig.avi"
	InsertExtra  5055,"C64-Longplay089-MrMephisto.avi"
	InsertExtra  5161,"C64-Longplay050-Nebulus.avi"
	InsertExtra  5174,"C64-Longplay251-NemesisTheWarlock.avi"
	InsertExtra  5193,"C64-Longplay060-NeverendingStory2.avi"
	InsertExtra  5195,"C64-Longplay105-NewYorkCity.avi"
	InsertExtra  5216,"C64-Longplay166-NightRacer.avi"
	InsertExtra  5241,"C64-Longplay290-NinjaSpirits.avi"
	InsertExtra  5253,"C64-Longplay072-NoMercy.avi"
	InsertExtra  5300,"C64-Longplay286-Northstar.avi"
	InsertExtra  5339,"C64-Longplay122-Octapolis.avi"
	InsertExtra  5366,"C64-Longplay273-OlliAndLissa.avi"
	InsertExtra  5482,"C64-Longplay048-Outrun.avi"
	InsertExtra  5549,"C64-Longplay098-Paperboy.avi"
	InsertExtra  5553,"C64-Longplay207-Paradroid.avi"
	InsertExtra  5554,"C64-Longplay292-Paradroid-CompetitionEdition.avi"
	InsertExtra  5659,"C64-Longplay188-Phantis.avi"
	InsertExtra  5665,"C64-Longplay087-PharaohsCurse.avi"
	InsertExtra  5733,"C64-Longplay070-Pitfall2.avi"
	InsertExtra  5733,"C64-Longplay177-Pitfall2.avi"
	InsertExtra  5760,"C64-Longplay140-Platoon.avi"
	InsertExtra  5827,"C64-Longplay183-Pooyan.avi"
	InsertExtra  5829,"C64-Longplay044-Popeye.avi"
	InsertExtra  5849,"C64-Longplay245-PottyPigeon.avi"
	InsertExtra  5853,"C64-Longplay054-PowerDrift.avi"
	InsertExtra  5887,"C64-Longplay209-PrinceClumsy.avi"
	InsertExtra  6002,"C64-Longplay204-Psyxx.avi"
	InsertExtra  6186,"C64-Longplay073-RainbowIslands.avi"
	InsertExtra  6198,"C64-Longplay079-Rambo2.avi"
	InsertExtra  6301,"C64-Longplay084-Renegade.avi"
	InsertExtra  6302,"C64-Longplay176-Renegade3.avi"
	InsertExtra  6344,"C64-Longplay091-RickDangerous.avi"
	InsertExtra  6344,"C64-Longplay092-RickDangerous2.avi"
	InsertExtra  6390,"C64-Longplay186-RoadRunner.avi"
	InsertExtra  6406,"C64-Longplay258-RobinHood.avi"
	InsertExtra  6415,"C64-Longplay235-Robocop.avi"
	InsertExtra  6416,"C64-Longplay252-Robocop2.avi"
	InsertExtra  6417,"C64-Longplay253-Robocop3.avi"
	InsertExtra  6446,"C64-Longplay160-RockyHorrorShow.avi"
	InsertExtra  6467,"C64-Longplay225-RollingThunder.avi"
	InsertExtra  6467,"C64-Longplay118-RollingThunder.avi"
	InsertExtra  6143,"C64-Longplay003-R-Type.avi"
	InsertExtra  6521,"C64-Longplay158-RunningMan.avi"
	InsertExtra  6528,"C64-Longplay149-Rygar.avi"
	InsertExtra  6543,"C64-Longplay006-Salamander.avi"
	InsertExtra  6551,"C64-Longplay040-SammyLightfoot.avi"
	InsertExtra  6558,"C64-Longplay179-SamuraiWarrior.avi"
	InsertExtra  6558,"C64-Longplay139-SamuraiWarrior.avi"
	InsertExtra 12824,"C64-Longplay294-SaucerAttack.avi"
	InsertExtra  6733,"C64-Longplay298-ShadowDancer.avi"
	InsertExtra  6735,"C64-Longplay260-ShadowOfTheBeast.avi"
	InsertExtra  6746,"C64-Longplay269-Shaman.avi"
	InsertExtra  6770,"C64-Longplay120-Shinobi.avi"
	InsertExtra  6802,"C64-Longplay191-SideArms.avi"
	InsertExtra  6861,"C64-Longplay248-Ski.avi"
	InsertExtra  6888,"C64-Longplay107-SkyTwice.avi"
	InsertExtra  6906,"C64-Longplay012-SlapFight.avi"
	InsertExtra  6912,"C64-Longplay296-Slayer.avi"
	InsertExtra  6947,"C64-Longplay275-Smurfen.avi"
	InsertExtra  6955,"C64-Longplay247-SnakeByte.avi"
	InsertExtra  7022,"C64-Longplay125-SolomonsKey.avi"
	InsertExtra 15258,"C64-Longplay096-SpaceHarrier.avi"
	InsertExtra  7107,"C64-Longplay094-SpaceTaxi.avi"
	InsertExtra  7113,"C64-Longplay061-SpaceTrap.avi"
	InsertExtra  7214,"C64-Longplay101-Spindizzy.avi"
	InsertExtra  7231,"C64-Longplay266-SplitPersonalities.avi"
	InsertExtra  7268,"C64-Longplay150-SpyVsSpy.avi"
	InsertExtra  7269,"C64-Longplay163-SpyVsSpy2.avi"
	InsertExtra  7270,"C64-Longplay164-SpyVsSpy3.avi"
	InsertExtra  7432,"C64-Longplay208-Stix.avi"
	InsertExtra  7469,"C64-Longplay058-StreetFighter_EuropeanVersion.avi"
	InsertExtra  7470,"C64-Longplay187-StreetFighter.avi"
	InsertExtra  7485,"C64-Longplay057-Strider.avi"
	InsertExtra  7485,"C64-Longplay145-Strider.avi"
	InsertExtra  7577,"C64-Longplay263-SuperGMan.avi"
	InsertExtra  7601,"C64-Longplay081-SuperPipeline2.avi"
	InsertExtra  4225,"C64-Longplay244-LASwat.avi"
	InsertExtra  7764,"C64-Longplay109-Tapper.avi"
	InsertExtra  7771,"C64-Longplay041-TargetRenegade.avi"
	InsertExtra  7773,"C64-Longplay293-Tarzan.avi"
	InsertExtra  7777,"C64-Longplay259-TaskForce.avi"
	InsertExtra  7836,"C64-Longplay088-TerraCognita.avi"
	InsertExtra 14459,"C64-Longplay228-TerraPlagiata.avi"
	InsertExtra  7839,"C64-Longplay056-Terramex.avi"
	InsertExtra  7845,"C64-Longplay250-TerrysBigAdventure.avi"
	InsertExtra  7846,"C64-Longplay184-TestDrive.avi"
	InsertExtra  7850,"C64-Longplay236-Tetris.avi"
	InsertExtra  7866,"C64-Longplay246-Thanatos.avi"
	InsertExtra  7869,"C64-Longplay129-TheatreEurope.avi"
	InsertExtra  7869,"C64-Longplay227-TheatreEurope.avi"
	InsertExtra  7873,"C64-Longplay126-TheyStoleAMillion.avi"
	InsertExtra  7877,"C64-Longplay119-ThingOnASpring.avi"
	InsertExtra  7896,"C64-Longplay189-TrapDoor2.avi"
	InsertExtra  7913,"C64-Longplay024-ThunderBlade.avi"
	InsertExtra  7916,"C64-Longplay201-ThunderCats.avi"
	InsertExtra  7916,"C64-Longplay074-ThunderCats.avi"
	InsertExtra  7937,"C64-Longplay102-TigerRoad.avi"
	InsertExtra  7937,"C64-Longplay213-TigerRoad.avi"
	InsertExtra  8033,"C64-Longplay280-TopperCopper.avi"
	InsertExtra  8106,"C64-Longplay165-TrapDoor.avi"
	InsertExtra  8214,"C64-Longplay142-TurboGirl.avi"
	InsertExtra  8233,"C64-Longplay018-Turrican.avi"
	InsertExtra 17610,"C64-Longplay025-Turrican2.avi"
	InsertExtra 11975,"C64-Longplay212-Turrican3.avi"
	InsertExtra  8295,"C64-Longplay217-UltimateWizard.avi"
	InsertExtra  8331,"C64-Longplay182-Uridium.avi"
	InsertExtra  8339,"C64-Longplay239-UunoTurhapuroMuuttaaMaalle.avi"
	InsertExtra  8348,"C64-Longplay272-Vampire.avi"
	InsertExtra  8356,"C64-Longplay170-Varidan.avi"
	InsertExtra  8369,"C64-Longplay032-Vendetta.avi"
	InsertExtra  8369,"C64-Longplay203-Vendetta.avi"
	InsertExtra  8419,"C64-Longplay211-Vixen.avi"
	InsertExtra  8516,"C64-Longplay283-Wastelands.avi"
	InsertExtra  8540,"C64-Longplay019-WeirdDream_tapeversion.avi"
	InsertExtra  8540,"C64-Longplay196-WeirdDreams.avi"
	InsertExtra  8585,"C64-Longplay214-WhoDaresWins.avi"
	InsertExtra  8587,"C64-Longplay226-WhoDaresWins2.avi"
	InsertExtra  8609,"C64-Longplay230-WillowPattern.avi"
	InsertExtra  8669,"C64-Longplay206-Wizball.avi"
	InsertExtra  8681,"C64-Longplay198-Wonderboy.avi"
	InsertExtra  8682,"C64-Longplay027-WonderboyInMonsterland.avi"
	InsertExtra  8769,"C64-Longplay015-X-Out.avi"
	InsertExtra  8821,"C64-Longplay028-YieArKungFu.avi"
	InsertExtra  8822,"C64-Longplay047-YieArKungFu2.avi"
	InsertExtra  8824,"C64-Longplay295-YogiBear.avi"
	InsertExtra  8829,"C64-Longplay162-TheYoungOnes.avi"
	InsertExtra  8839,"C64-Longplay052-ZakMcKracken.avi"
	InsertExtra 19167,"C64-Longplay234-Zoomania.avi"
	InsertExtra  8918,"C64-Longplay063-Zorro.avi"
end if
cn.Close
Set cn=Nothing

Sub 	InsertExtra(GA_Id, Path1)
	rs.Open "SELECT MAX(DisplayOrder) FROM Extras WHERE GA_Id=" & GA_Id, cn
	i = rs(0)
	if i & "" = "" then i=-1	
	rs.Close
	cn.Execute "INSERT INTO Extras (GA_Id,DisplayOrder,Type,Name,Path,EA,Data) VALUES(" & GA_Id & "," & (i+1) & ",0,'Video','" & Replace(lFolder & Path1,"'","''") & " ',0,'')"
	cn.Execute "UPDATE Games SET Extras=1 WHERE GA_Id=" & GA_Id
End Sub

if chk<>0 then
	msgbox lName & " extras are already in the Gamebase64 database.",48,cTitle
end if
