''#######################################################
''#
''# Script to Add Old Longplay videos
''# to the Gamebase64 Database
''#
''# Author:   Gamebase Team
''# Date:     October 2023
''# Version:  v19
''#
''#######################################################

strDBPath = ".\GBC_V19.mdb"

Const lName="Old Longplay"
Const lFolder="Longplays\"
Const lFilter="Longplays\C64-Longplay-%"

Dim cTitle
Dim cn, rs, i, chk, strDBPath, fso

cTitle = "Gamebase64 " & lName & " Extras"

if WScript.Arguments.Count > 0 then
	strDBPath = WScript.Arguments.Item(0)
end if

Set fso = WScript.CreateObject("Scripting.FileSystemObject")

if not fso.FileExists(strDBPath) then
	strDBPath = InputBox("Please enter the location of the Gamebase64 database.",cTitle,strDBPath)
end if

if strDBPath = "" then
	msgbox lName & " extras additions aborted.",16,cTitle
	WScript.Quit
end if

if not fso.FileExists(strDBPath) then
	msgbox "Cannot find database file at " & strDBPath & vbcrlf & lName & " extras additions aborted.",16,cTitle
	WScript.Quit
end if
Set fso = Nothing

'' Open connection to the GameBase64 database
Set cn=WScript.CreateObject("ADODB.Connection")
cn.Open "DRIVER={Microsoft Access Driver (*.mdb, *.accdb)}; DBQ=" & strDBPath

'' Check to see if this script has already been run
'' by seeing if the extras have already been added
Set rs=WScript.CreateObject("ADODB.Recordset")
rs.Open "SELECT COUNT(*) FROM Extras WHERE Name='Video' AND Path LIKE '" & lFilter & "'", cn
chk = rs(0)
rs.Close

'' Insert new extras
if chk=0 then
	InsertExtra   239,"C64-Longplay-AlienSyndrome.avi"
	InsertExtra   398,"C64-Longplay-Arkanoid.avi"
	InsertExtra   419,"C64-Longplay-Arnie.avi"
	InsertExtra   445,"C64-Longplay-Asterix.avi"
	InsertExtra   618,"C64-Longplay-Barbarian2.avi"
	InsertExtra   742,"C64-Longplay-BeyondTheIcePalace.avi"
	InsertExtra   907,"C64-Longplay-BMXSimulator.avi"
	InsertExtra   945,"C64-Longplay-BombJack.avi"
	InsertExtra   979,"C64-Longplay-BopNRumble.avi"
	InsertExtra  1052,"C64-Longplay-Bounder.avi"
	InsertExtra  1165,"C64-Longplay-BuggyBoy.avi"
	InsertExtra  1591,"C64-Longplay-CombatSchool.avi"
	InsertExtra  1869,"C64-Longplay-FinalCup.avi"
	InsertExtra  1951,"C64-Longplay-DangerFreak.avi"
	InsertExtra  2027,"C64-Longplay-DeadZone.avi"
	InsertExtra  2169,"C64-Longplay-DieHard.avi"
	InsertExtra  2320,"C64-Longplay-Dragon'sKingdom.avi"
	InsertExtra  2608,"C64-Longplay-Exolon.avi"
	InsertExtra  2761,"C64-Longplay-Firefly.avi"
	InsertExtra  3046,"C64-Longplay-GameOver.avi"
	InsertExtra  3454,"C64-Longplay-HeadOverHeels.avi"
	InsertExtra  3799,"C64-Longplay-InternationalKarate.avi"
	InsertExtra  3874,"C64-Longplay-JackTheNipper2.avi"
	InsertExtra  4325,"C64-Longplay-LedStorm.avi"
	InsertExtra  4515,"C64-Longplay-Madness.avi"
	InsertExtra  4744,"C64-Longplay-Mercs.avi"
	InsertExtra  5132,"C64-Longplay-Myth.avi"
	InsertExtra  5155,"C64-Longplay-NavyMoves.avi"
	InsertExtra  5172,"C64-Longplay-Nemesis.avi"
	InsertExtra  5231,"C64-Longplay-Ninja.avi"
	InsertExtra  5534,"C64-Longplay-Pandora.avi"
	InsertExtra  5558,"C64-Longplay-Parallax.avi"
	InsertExtra  5971,"C64-Longplay-ProjectFirestart.avi"
	InsertExtra  5998,"C64-Longplay-PsychoPigsUXB.avi"
	InsertExtra  6620,"C64-Longplay-ScoobyAndScrappyDoo.avi"
	InsertExtra  6701,"C64-Longplay-Sensitive.avi"
	InsertExtra  6791,"C64-Longplay-ShortCircuit.avi"
	InsertExtra  6854,"C64-Longplay-SkateRock.avi"
	InsertExtra  7427,"C64-Longplay-StifflipAndCo.avi"
	InsertExtra  7831,"C64-Longplay-Terminator2.avi"
	InsertExtra  7869,"C64-Longplay-Warsaw.avi"
	InsertExtra  7936,"C64-Longplay-TigerMission.avi"
	InsertExtra  8003,"C64-Longplay-Toki.avi"
	InsertExtra  8082,"C64-Longplay-Trailblazer.avi"
	InsertExtra  8217,"C64-Longplay-TurboOutrun.avi"
	InsertExtra  8240,"C64-Longplay-Tusker.avi"
	InsertExtra  8929,"C64-Longplay-Zynaps.avi"
end if
cn.Close
Set cn=Nothing

Sub 	InsertExtra(GA_Id, Path1)
	rs.Open "SELECT MAX(DisplayOrder) FROM Extras WHERE GA_Id=" & GA_Id, cn
	i = rs(0)
	if i & "" = "" then i=-1	
	rs.Close
	cn.Execute "INSERT INTO Extras (GA_Id,DisplayOrder,Type,Name,Path,EA,Data) VALUES(" & GA_Id & "," & (i+1) & ",0,'Video','" & Replace(lFolder & Path1,"'","''") & " ',0,'')"
	cn.Execute "UPDATE Games SET Extras=1 WHERE GA_Id=" & GA_Id
End Sub

if chk<>0 then
	msgbox lName & " extras are already in the Gamebase64 database.",48,cTitle
end if
