''#######################################################
''#
''# Script to Delete Old Longplay videos
''# from the Gamebase64 Database
''#
''# Author:   Gamebase Team
''# Date:     October 2023
'*# Version:  v19
''#
''#######################################################

strDBPath = ".\GBC_V19.mdb"

Const lName="Old Longplay"
Const lFilter="Longplays\C64-Longplay-%"

Dim cTitle
Dim cn, rs, i, chk, strDBPath, fso

cTitle = "Gamebase64 " & lName & " Extras"

if WScript.Arguments.Count > 0 then
	strDBPath = WScript.Arguments.Item(0)
end if

Set fso = WScript.CreateObject("Scripting.FileSystemObject")
if not fso.FileExists(strDBPath) then
	strDBPath = InputBox("Please enter the location of the Gamebase64 database.",cTitle,strDBPath)
end if

if strDBPath = "" then
	msgbox lName & " extras deletions aborted.",16,cTitle
	WScript.Quit
end if

if not fso.FileExists(strDBPath) then
	msgbox "Cannot find database file at " & strDBPath & vbcrlf & lName & " deletion aborted.",16,cTitle
	WScript.Quit
end if
Set fso = Nothing

'' Open connection to the GameBase database
Set cn=WScript.CreateObject("ADODB.Connection")
cn.Open "DRIVER={Microsoft Access Driver (*.mdb, *.accdb)}; DBQ=" & strDBPath

'' Find all the extras and delete them
Set rs=WScript.CreateObject("ADODB.Recordset")
rs.Open "SELECT EX_Id, GA_Id, DisplayOrder FROM Extras WHERE Name='Video' AND Path LIKE '" & lFilter & "'", cn, 3
do until rs.eof
        chk = 1
	DeleteExtra rs("EX_Id"), rs("GA_Id"), rs("DisplayOrder")
	rs.movenext
loop
rs.Close

cn.Close
Set cn=Nothing

Sub DeleteExtra(EX_Id, GA_Id, DisplayOrder)
	cn.Execute "DELETE FROM Extras WHERE EX_Id=" & EX_Id
	cn.Execute "UPDATE Extras SET DisplayOrder=DisplayOrder-1 WHERE GA_Id=" & GA_Id & " AND DisplayOrder>" & DisplayOrder
	cn.Execute "UPDATE Games SET Extras=0 WHERE GA_Id=" & GA_Id & " AND (SELECT COUNT(*) FROM Extras WHERE GA_id=" & GA_Id & ")=0"
End Sub

if chk<>1 then
	msgbox lName & " extras are already deleted from the Gamebase64 database.",48,cTitle
end if
